# ---------------------------------
# Production Configuration Section
# ---------------------------------

prod {

  # ---------------------------
  # Production Hostname mapping
  # ---------------------------
  routes {
    domains {
      localhost {
        host = "TFB-server"
      }
    }
  }

  # --------------------------------------------------
  # Log Configuration
  # Doc: https://docs.aahframework.org/log-config.html
  # --------------------------------------------------
  log {
    # Receiver is where is log values gets logged. Currently framework
    # supports `console` and `file` as a receivers.
    # Default value is `console`.
    #receiver = "file"

    # Level indicates the logging levels like `ERROR`, `WARN`, `INFO`, `DEBUG`
    # and `TRACE`. Config value can be in lowercase or uppercase.
    # Default value is `debug`.
    level = "error"

    # Pattern config defines the message flags and formatting while logging
    # into receivers. Customize it as per your need, learn more about flags
    # and format - https://docs.aahframework.org/log-config.html#pattern
    # Default value is `%time:2006-01-02 15:04:05.000 %level:-5 %message`
    #pattern = "%time:2006-01-02 15:04:05.000 %level:-5 %message"

    # File config attribute is applicable only to `file` receiver type.
    # Default value is `aah-log-file.log`.
    #file = "benchmark.log"

    # Rotate config section is applicable only to `file` receiver type.
    # Default rotation is 'daily'.
    rotate {
      # Mode is used to determine rotate mode. Currently it supports `daily`,
      # `lines` and `size`.
      # Default value is `daily`.
      #mode = "daily"

      # This is applicable only to if `mode` is `size`.
      # Default value is 100MB.
      #size = 500

      # This is applicable only to if `mode` is `lines`.
      # Default value is unlimited.
      #lines = 100000
    }
  }

}
